player_position2d_cmd_pos Struct Reference

position2d position command More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose2d_t | pos
| position [m,m,rad] (x, y, yaw)
player_pose2d_t | vel
| velocity at which to move to the position [m/s] or [rad/s]
uint8_t | state
| Motor state (FALSE is either off or locked, depending on the driver). More...

## Detailed Description

position2d position command

## Member Data Documentation

uint8_t player_position2d_cmd_pos::state

Motor state (FALSE is either off or locked, depending on the driver).

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45